Skip to main content

AppController_getMicroblockProof

GET 

/api/v1/microblock-proof

AppController_getMicroblockProof

Request​

Query Parameters

    hash stringrequired

    Microblock hash

    node_url string

    Node URL from which to obtain the proof. Chosen by the indexer if not specified.

Responses​

Schema

    nodeUrl stringrequired

    proof

    object

    required

    block

    object

    required

    height numberrequired
    vbRadixHash stringrequired
    tokenRadixHash stringrequired
    storageHash stringrequired
    appHash stringrequired

    microblock

    object

    required

    virtualBlockchainId stringrequired
    height numberrequired
    hash stringrequired

    virtualBlockchain

    object

    required

    serializedState stringrequired
    merkleWitnesses string[]required
    radixProof string[]required
Loading...